nxt.http.callers

## Class CreatePollCall

- java.lang.Object
- - nxt.http.APICall.Builder<T>
  - - nxt.http.callers.CreateTransactionCallBuilder<CreatePollCall>
    - - nxt.http.callers.CreatePollCall

-     public class CreatePollCall
      extends CreateTransactionCallBuilder<CreatePollCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CreatePollCall` | `create(int chain)`
    `CreatePollCall` | `description(java.lang.String description)`
    `CreatePollCall` | `finishHeight(java.lang.String finishHeight)`
    `CreatePollCall` | `holding(long holding)`
    `CreatePollCall` | `holding(java.lang.String holding)`
    `CreatePollCall` | `maxNumberOfOptions(java.lang.String maxNumberOfOptions)`
    `CreatePollCall` | `maxRangeValue(java.lang.String maxRangeValue)`
    `CreatePollCall` | `minBalance(java.lang.String minBalance)`
    `CreatePollCall` | `minBalanceModel(java.lang.String minBalanceModel)`
    `CreatePollCall` | `minNumberOfOptions(java.lang.String minNumberOfOptions)`
    `CreatePollCall` | `minRangeValue(java.lang.String minRangeValue)`
    `CreatePollCall` | `name(java.lang.String name)`
    `CreatePollCall` | `option00(java.lang.String option00)`
    `CreatePollCall` | `option01(java.lang.String option01)`
    `CreatePollCall` | `option02(java.lang.String option02)`
    `CreatePollCall` | `votingModel(java.lang.String votingModel)`

    - ### Methods inherited from class nxt.http.callers.CreateTransactionCallBuilder

      `broadcast, compressMessageToEncrypt, compressMessageToEncryptToSelf, deadline, ecBlockHeight, ecBlockId, ecBlockId, encryptedMessageData, encryptedMessageData, encryptedMessageIsPrunable, encryptedMessageNonce, encryptedMessageNonce, encryptToSelfMessageData, encryptToSelfMessageData, encryptToSelfMessageNonce, encryptToSelfMessageNonce, message, messageIsPrunable, messageIsText, messageToEncrypt, messageToEncryptIsText, messageToEncryptToSelf, messageToEncryptToSelfIsText, minBundlerBalanceFXT, minBundlerFeeLimitFQT, phased, phasingExpression, phasingFinishHeight, phasingHashedSecret, phasingHashedSecretAlgorithm, phasingHolding, phasingHolding, phasingLinkedTransaction, phasingMinBalance, phasingMinBalanceModel, phasingParams, phasingQuorum, phasingRecipientPropertyName, phasingRecipientPropertySetter, phasingRecipientPropertyValue, phasingSenderPropertyName, phasingSenderPropertySetter, phasingSenderPropertyValue, phasingSubPolls, phasingVotingModel, phasingWhitelisted, publicKey, publicKey, recipientPublicKey, recipientPublicKey, referencedTransaction, timestamp, voucher`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, feeNQT, feeRateNQTPerFXT, getBlock, getBlocks, getChain, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, recipient, recipient, remote, secretPhrase, setParamValidation, sharedPiece, sharedPieceAccount, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static CreatePollCall create(int chain)

    - #### minRangeValue

          public CreatePollCall minRangeValue(java.lang.String minRangeValue)

    - #### votingModel

          public CreatePollCall votingModel(java.lang.String votingModel)

    - #### description

          public CreatePollCall description(java.lang.String description)

    - #### holding

          public CreatePollCall holding(java.lang.String holding)

    - #### holding

          public CreatePollCall holding(long holding)

    - #### minNumberOfOptions

          public CreatePollCall minNumberOfOptions(java.lang.String minNumberOfOptions)

    - #### minBalance

          public CreatePollCall minBalance(java.lang.String minBalance)

    - #### finishHeight

          public CreatePollCall finishHeight(java.lang.String finishHeight)

    - #### name

          public CreatePollCall name(java.lang.String name)

    - #### maxNumberOfOptions

          public CreatePollCall maxNumberOfOptions(java.lang.String maxNumberOfOptions)

    - #### option01

          public CreatePollCall option01(java.lang.String option01)

    - #### minBalanceModel

          public CreatePollCall minBalanceModel(java.lang.String minBalanceModel)

    - #### option02

          public CreatePollCall option02(java.lang.String option02)

    - #### option00

          public CreatePollCall option00(java.lang.String option00)

    - #### maxRangeValue

          public CreatePollCall maxRangeValue(java.lang.String maxRangeValue)